nl


Contents

  1. Systeemvereisten
  2. Installatie
    1. Standaard worden nu ook aanbevolen pakketten geïnstalleerd
    2. Verkeerde weergave bij het installeren naar de grootste aaneengesloten vrije ruimte op schijf
    3. Slaapstand zou onbeschikbaar kunnen zijn bij het automatisch partitioneren
  3. Upgraden
    1. Opstartproblemen op systemen met Intel D945 moederborden
    2. Upgrades vanaf een beta gebruiken mogelijk LABEL= in /etc/fstab
    3. Python ImportError bij systemen die geupgrade zijn voor de Ubuntu 9.04 Release Candidate
    4. Upgrades vanuit Alpha's kunnen een herversleuteling van de versleutelde gebruikersmappen nodig hebben
    5. Upgrades vanuit Ubuntu 8.10 kunnen lilo geïnstalleerd hebben
    6. Regelgevende instantie voor de draadloze netwerkkaart instellen via module-optie niet langer ondersteund
    7. Netwerk management-applet moet opnieuw toegevoegd worden bij Kubuntu upgrade
    8. Kubuntu Netwerk Management-applet maakt geen verbinding met WPA2 netwerken
    9. Kubuntu kan overbodig "guidance power package" laten staan
    10. Ctrl-Alt-Backspace standaard uitgeschakeld in Xorg
    11. Veranderingen aankondiging beschikbare updates
  4. Andere bekende problemen
    1. Prestatievermindering bij Intel grafische kaarten
    2. Bevriezing van het schermbeeld met Intel grafische kaarten
    3. Vastlopers bij het verwijderen van bestanden op ext4-bestandssystemen
    4. Overschakelen naar ext4 vereist een handmatige update van grub
    5. Mogelijk dataverlies bij het herschalen van ext4
    6. Pulseaudio ten onrechte ingeschakeld in Kubuntu bij het installeren vanaf de DVD of het upgraden met apt-get
    7. Apparmor profielen niet compatibel met ecryptfs
    8. Avahi wil niet starten als er een .local domein aanwezig is
    9. Wubi hergebruikt een vooraf bestaande "ubuntu" map en verwijdert ze bij deïnstallatie
    10. Occasionele vastlopers mogelijk op de ARM architectuur
    11. Problemen bij het weergeven van tekst in Mythbuntu met het Radeon stuurprogramma
    12. Tracker index corruptie

Deze release notes beschrijven de meest voorkomende problemen met Ubuntu 9.04 en varianten.

Systeemvereisten

Ubuntu 9.04 vereist minimaal 265 MB geheugen. Let op dat een deel van het systeemgeheugen bezet kan zijn, omdat dat gebruikt wordt door de grafische kaart. Als je computer enkel aan de minimum geheugenvereisten voldoet, zal het installatieproces succesvol verlopen maar iets langer duren dan normaal. Het systeem zal na de installatie adequaat presteren.

Heb je een systeem met minder intern geheugen, dan zou je de optie "Installeer Ubuntu" vanuit het opstartmenu kunnen selecteren om enkel het installatieprogramma te draaien in plaats van een gehele desktop. Dit scheelt een hoop tijd.

Installatie

Standaard worden nu ook aanbevolen pakketten geïnstalleerd

In overeenstemming met de Debian Policy Manual (die het volgende zegt: "The 'Recommends' field should list packages that would be found together with this one in all but unusual installations"), installeert het pakketbeheersysteem nu standaard de pakketten die in het "Recommends:" veld staan van andere geïnstalleerde pakketten in toevoeging tot die vanuit het "Depends:" veld. Wil je bepaalde pakketten vermijden, gebruik dan apt-get --no-install-recommends. Wil je dit altijd zo doen, dan kun je APT::Install-Recommends "false"; instellen in /etc/apt/apt.conf. Hou er rekening mee dat dit de werking van bepaalde applicaties (negatief) kan beïnvloeden, dus gebruik deze optie alleen als je zeer vertrouwd bent met het werken met Linux.

(Deze aanpassing werd gemaakt in Ubuntu 8.10.)

Verkeerde weergave bij het installeren naar de grootste aaneengesloten vrije ruimte op schijf

Wanneer zowel de "Installeer hen naast elkaar" optie en de "Gebruik de grootste aaneengesloten vrije ruimte op schijf" optie aanwezig zijn, zal de "Gebruik de grootste aaneengesloten vrije ruimte op schijf" optie verkeerde informatie weergeven in de partitiebalk, die laat zien hoe de schijf eruit zal zien na de installatie. Toch zal het selecteren van deze optie ervoor zorgen dat Ubuntu in de grootste aaneengesloten vrije ruimte op de schijf geïnstalleerd zal worden. (364181)

Slaapstand zou onbeschikbaar kunnen zijn bij het automatisch partitioneren

Het standaard partitioneringsschema in het installatieprogramma zal in sommige gevallen een swap partitie aanmaken die kleiner is dan de hoeveelheid intern geheugen in het systeem. De slaapstand (suspend-to-disk) werkt dan niet, omdat het de inhoud van het intern geheugen niet in de swap partitie past. Als je van plan bent om de slaapstand te gebruiken op je systeem, moet je zorgen dat de grootte van de swap partitie minimaal even groot is als de hoeveelheid intern geheugen in het systeem.

Upgraden

Ubuntu 8.10 kun je naar Ubuntu 9.04 upgraden door gebruik te maken van het eenvoudige geautomatiseerde proces. Gebruik je een oudere Ubuntu versie, dan moet je eerst naar Ubuntu 8.10 upgraden en vervolgens naar 9.04. Volledige instructies vind je hier: http://www.ubuntu.com/getubuntu/upgrading.

Gebruik je Kubuntu, dan kun je direct upgraden vanuit Kubuntu 8.04 naar Kubuntu 9.04. Als je de upgrade op deze manier uitvoert, lees dan eerst het volgende release notes voor Ubuntu 8.10.

Opstartproblemen op systemen met Intel D945 moederborden

Het komt voor dat SATA harde schijven langzamer dan normaal herkend worden op systemen met een Intel D945 moederbord in Ubuntu 9.04. Dit kan ervoor zorgen dat het systeem een busybox initramfs shell toont bij het opstarten met de melding "Gave up waiting for root device.". Wacht een aantal minuten en verlaat vervolgens de initramfs shell door 'exit' te typen. Het opstarten zou normaal moeten verlopen. Indien dit niet het geval is, wacht dan nog even en probeer het opnieuw. Wanneer het systeem eenmaal opgestart is, pas /boot/grub/menu.lst aan en voeg rootdelay=90 toe aan de kernel tekst voor je huidige kernel. (290153)

Upgrades vanaf een beta gebruiken mogelijk LABEL= in /etc/fstab

Systemen die geïnstalleerd zijn met Jaunty Alpha 5, Jaunty Alpha 6 of de Ubuntu 9.04 beta gebruiken mogelijk de LABEL= syntax in /etc/fstab om bestandssystemen te identificeren. Dit kan later onverwacht gedrag veroorzaken wanneer een andere schijf (zoals bijvoorbeeld een USB disk) wordt ingeplugd met daarop een bestandssysteem met een conflicterend label. Tenzij je zeker weet wat je doet, raden wij je aan om in plaats daarvan universally unique identifiers (UUIDs) te gebruiken.

Bijvoorbeeld als een bestandssysteem geïdentificeerd wordt met LABEL=home in /etc/fstab, kunt je het UUID als volgt vinden:

blkid -o value -s UUID -l -t LABEL=home

Je kunt vervolgens LABEL=home vervangen door UUID=output, waar output de output is van blkid.

Systemen die geïnstalleerd zijn met de release candidates of de final release van Ubuntu 9.04 hebben dit probleem niet.

Python ImportError bij systemen die geupgrade zijn voor de Ubuntu 9.04 Release Candidate

Voor de Ubuntu 9.04 Release Candidate was er een fout in de Python-pakketten in Jaunty aanwezig, welke ervoor zorgt dat Python modules niet geregistreerd worden bij de huidige Python versie, Python 2.6. Dit probleem doet zich voor als een "import" fout, bijvoorbeeld:

ImportError: No module named foo

zelfs wanneer het pakket welke de module aanbiedt geïnstalleerd is.

Om dit te verhelpen, kunt u dit commando gebruiken:

sudo dpkg-reconfigure python-foo

voor elk python-foo pakket dat de desbetreffende module aanbiedt.

Upgrades vanuit Alpha's kunnen een herversleuteling van de versleutelde gebruikersmappen nodig hebben

Gebruikers die eCryptfs gebruikten gedurende de Jaunty Alpha mijlpalen, worden geadviseerd om hun versleutelde bestanden opnieuw te versleutelen. Een fout in de upstream 2.6.28 kernel zorgde ervoor dat willekeurig kernelgeheugen weggeschreven werd naar de hoofding van met eCryptfs versleutelde bestanden. De fout is opgelost in de Jaunty RC kernel. Ubuntu eCryptfs gebruikers die deze kernel gebruiken moeten elk versleuteld bestand opnieuw versleutelen met /usr/bin/ecryptfs-rewrite-file. Voor meer informatie, zie ecryptfs-rewrite-file(1). (345544)

Upgrades vanuit Ubuntu 8.10 kunnen lilo geïnstalleerd hebben

Bij Ubuntu 8.10 systemen die geïnstalleerd zijn met de desktop CD is abusievelijk het lilo pakket alsmede het grub pakket geïnstalleerd, hoewel grub de betere manier is om op te starten. Indien je de aangeraden Update Manager upgrade methode gebruikt hebt, zal het pakket lilo vanzelf verwijderd zijn, indien het erop lijkt dat het niet gebruikt werd. Indien je op een andere manier de upgrade uitgevoerd hebt en zeker weet dat het systeem uitsluitend de GRUB bootloader gebruikt, dan raden we aan het lilo pakket handmatig te verwijderen. Bug 314004

Regelgevende instantie voor de draadloze netwerkkaart instellen via module-optie niet langer ondersteund

Ubuntu 9.04 activeert het "CRDA wireless regulatory framework" om te beheren welke draadloze kanalen bruikbaar en zichtbaar zijn op een specifieke locatie. Indien u voorheen de module-optie gebruikt heeft, welke op het onderstaande lijkt in /etc/modprobe.d/options, om toegang toe te staan voor bepaalde kanalen bij u in de nabijheid, dan zou het kunnen zijn dat draadloos helemaal niet meer functioneert:

  • options cfg80211 ieee80211_regdom=EU

Je zou deze kernelmodule-optie moeten verwijderen bij een upgrade naar Ubuntu 9.04 en in plaats hiervan het iw reg commando gebruiken.

Netwerk management-applet moet opnieuw toegevoegd worden bij Kubuntu upgrade

Wanneer men upgrade vanaf Kubuntu 8.10, zal het nieuwe Netwerk Management-applet opnieuw handmatig toegevoegd moeten worden aan het paneel. (349066)

Klik op het Plasma icoon rechts onderin.

Klik op Widget Toevoegen.

Dubbel klik op Netwerk Management.

Kubuntu Netwerk Management-applet maakt geen verbinding met WPA2 netwerken

Het Netwerk Management-applet in Kubuntu maakt geen verbinding met WPA2 netwerken of sommige VPN installaties. Je kunt knetworkmanager (beschikbaar on de DVD) of network-manager-gnome gebruiken om dit probleem te omzeilen. (339313)

Kubuntu kan overbodig "guidance power package" laten staan

De Kubuntu-upgrade kan de niet langer gebruikte pakketten "kde-guidance-powermanager" of "guidance-power-manager" laten staan. Deze kunnen verwijderd worden.

Ctrl-Alt-Backspace standaard uitgeschakeld in Xorg

De toetsencombinatie Ctrl-Alt-Backspace om een X-herstart te forceren is nu standaard uitgeschakeld om de problemen die veroorzaakt werden door het onopzettelijk indrukken van deze toetsencombinatie te verhelpen. Je kunt deze functie activeren in je xorg.conf of door het volgende commando uit te voeren dontzap --disable.

Veranderingen aankondiging beschikbare updates

Ubuntu 9.04 introduceert een verandering in de manier waarop pakket-updates afgehandeld worden, update-manager wordt direct opgestart in plaats van het weergeven van een waarschuwingspictogram in het GNOME paneel. Je wordt nog steeds dagelijks op de hoogte gesteld van beveiligingsupdates, maar enkel wekelijks voor resterende updates.

Indien je nog steeds zoals voorheen update-waarschuwingen wilt krijgen, kun je dit herstellen met de volgende opdracht:

gconftool -s --type bool /apps/update-notifier/auto_launch false

Andere bekende problemen

Prestatievermindering bij Intel grafische kaarten

Gebruikers van Intel videokaarten hebben prestatieverminderingen ten opzichte van eerdere versies gemeld in Ubuntu 8.10 (252094). Veel van deze problemen zijn opgelost in Ubuntu 9.04, maar niet allemaal.

  • Sommige gebruikers ondervonden verbeterde prestaties bij het gebruik van de "greedy" migration heuristic. U kan dit instellen door het commando "sudo gedit /etc/X11/xorg.conf" uit te voeren en Option "MigrationHeuristic" "greedy" toe te voegen aan de Device sectie in je xorg.conf.

  • Anderzijds is er voor gebruikers van een Intel grafische kaart een nieuwe experimentele mogelijkheid voor hardwareversnelling bijgekomen, "DRI2/UXA". Uit onze tests blijkt een significante verbetering van de prestaties maar ook een risico op ernstige stabiliteitsproblemen. U kan deze mogelijkheid inschakelen door het commando "sudo gedit /etc/X11/xorg.conf" uit te voeren en Option "AccelMethod" "UXA" toe te voegen aan de Device sectie van uw xorg.conf. Gebruikers die maximale stabiliteit wensen blijven best de standaard hardwareversnelling "EXA" gebruiken.

    Warning /!\ In sommige gevallen zal hierdoor de grafische omgeving helemaal niet meer willen starten of volledig onbruikbaar worden. In dat geval kan u opstarten in herstellingsmodus of met de toetsencombinatie Ctrl+Alt+F2 naar een commandoregel overschakelen. Na het inloggen kan u daar met de opdracht sudo nano /etc/X11/xorg.conf terug de UXA optie verwijderen.

  • Als geen van bovenstaande opties helpt; sommige gebruikers hebben succes met het gebruik van een oudere versie van het stuurprogramma.

Bevriezing van het schermbeeld met Intel grafische kaarten

Gebruikers van verschillende Intel videokaarten meldden "bevriezingen" onder verscheidene omstandigheden (bv. enkele minuten na het gebruik van de pauzestand, meer info: 339091). In vele gevallen blijkt het uitschakelen van de visuele effecten in Systeem → Voorkeuren → Uiterlijk te helpen.

Als het probleem ook voorkomt als de visuele effecten niet ingeschakeld zijn, kan je Option "DRI" "off" toevoegen aan de Device sectie van /etc/X11/xorg.conf, zoals hierboven beschreven. Dit zal 3D-versnelling en visuele effecten uitschakelen, maar maakt de pauzestand weer betrouwbaar en vermijdt allerlei crashes.

Deze blokkeringen komen het vaakst voor bij de i965 chips (359392), waardoor de visuele effecten voor deze kaarten standaard uitgeschakeld zijn in de uiteindelijke release. Ze zullen opnieuw ingeschakeld worden door een update voor versie 9.04 van zodra het probleem opgelost is.

Vastlopers bij het verwijderen van bestanden op ext4-bestandssystemen

In sommige gevallen blijkt het verwijderen van bestanden op een ext4-bestandssysteem zogenaamde "soft lockups" in de kernel te veroorzaken (330824). Dit probleem wordt momenteel onderzocht en men verwacht een oplossing te bieden in de vorm van een update na de release. Om het probleem te omzeilen kunnen gebruikers het systeem installeren met het standaard ext3 bestandssysteem en dat bestandssysteem vervolgens omzetten naar ext4 (zoals gedocumenteerd op de ext4 wiki) wanneer er een oplossing voor het probleem beschikbaar is.

Overschakelen naar ext4 vereist een handmatige update van grub

Als u er voor kiest om uw / of /boot bestandssysteem om te zetten van ext2 of ext3 naar ext4 (zoals gedocumenteerd op de ext4 wiki), dan moet u ook het grub-install commando uitvoeren na de upgrade naar Ubuntu 9.04 om uw bootloader opnieuw te installeren. Als u dit niet doet zal de versie van GRUB in uw opstartsector niet in staat zijn om de kernel te lezen vanaf het ext4 bestandssysteem en zal uw systeem niet kunnen opstarten.

Mogelijk dataverlies bij het herschalen van ext4

Het resize2fs hulpprogramma kan dataverlies veroorzaken bij het offline vergroten of verkleinen van ext4 bestandssystemen. Deze e-mail van de upstream beheerder bevat meer details. Helaas waren we niet snel genoeg op de hoogte op het probleem op te lossen in Ubuntu 9.04. Als u een ext4 bestandssysteem wil herschalen met de hulpprogramma's in Ubuntu 9.04, kan u deze problemen misschien omzeilen door eerst de flex_bg en uninit_bg functies uit te schakelen (probeer dit niet op een aangekoppeld bestandssysteem!):

tune2fs -O ^flex_bg,^uninit_bg /dev/DEVICE_NAME
e2fsck /dev/DEVICE_NAME

Desalniettemin raden we heel sterk aan om extra zorg te besteden aan het maken van backups vooraleer te proberen een ext4 bestandssysteem te herschalen.

Pulseaudio ten onrechte ingeschakeld in Kubuntu bij het installeren vanaf de DVD of het upgraden met apt-get

Bij het installeren van Kubuntu 9.04 via de DVD, of bij het upgraden vanaf een vorige versie naar Kubuntu 9.04 via apt-get dist-upgrade zal het pulseaudio pakket ten onrechte mee geïnstalleerd worden. Dit pakket is geen onderdeel van de Kubuntu desktop. Gebruikers kunnen het pakket verwijderen met het commando:

sudo apt-get purge pulseaudio

Apparmor profielen niet compatibel met ecryptfs

Bij het gebruik van versleutelde mappen in combinatie met apparmor in enforcing modus zal deze laatste de toegang tot bepaalde bestanden onverwacht blokkeren. Dit komt omdat de Linux kernel opmerkt dat het proces het bestand langs zowel onversleutelde als versleutelde weg benadert (359338). Als een workaround kunnen gebruikers hun apparmor profielen in /etc/apparmor.d/ aanpassen en ze toegang geven tot @{HOME}/.Private/**.

Avahi wil niet starten als er een .local domein aanwezig is

Het avahi-daemon pakket dat de mDNS "zeroconf" standaard implementeert bevat een controle om het starten te verhinderen als er een conflicterend .local DNS domein aanwezig is. Sommige ISP's schijnen zo'n .local domein te adverteren op hun netwerken zodat computers met Ubuntu 9.04 geen geadverteerde namen op hun lokale netwerk kunnen zien (327362).

Om het gebruik van mDNS op zo'n netwerk te forceren kan men deze commando's uitvoeren:

sudo sed -i -e'/AVAHI_DAEMON_DETECT_LOCAL/s/1/0/' /etc/default/avahi-daemon
sudo service avahi-daemon start

Wubi hergebruikt een vooraf bestaande "ubuntu" map en verwijdert ze bij deïnstallatie

Als er reeds een map met de naam "ubuntu" bestaat op de doelschijf zal deze herbruikt worden tijdens de Windows installatie en de volledige map zal verwijderd worden bij deïnstallatie (364166). Dit zal leiden tot het verlies van alle bestanden die zich oorspronkelijk in deze map bevonden. Het wordt aangeraden om elke map met de naam "ubuntu" te hernoemen vooraleer verder te gaan met een Wubi installatie.

Occasionele vastlopers mogelijk op de ARM architectuur

De ARM port ondersteunt momenteel de ppoll() & pselect() syscalls (systeemfuncties) niet. Dit zal soms leiden tot een fout bij het aankoppelen van het / bestandssysteem bij het opstarten. Dit veroozaakt een zogenaamde "race condition" en opnieuw herstarten zal meestal het probleem doen verdwijnen. Men werkt ondertussen aan het toevoegen van de syscalls; deze zullen uitgebracht worden als een update voor de Ubuntu 9.04 kernel enige tijd na de release.

Problemen bij het weergeven van tekst in Mythbuntu met het Radeon stuurprogramma

De mythtv interface in mythbuntu heeft problemen met het weergeven van lettertypen bij het gebruik van het radeon-stuurprogramma met DRI (341898). Men verwacht dit probleem kort na de release op te lossen met een update. Ondertussen kan je het probleem omzeilen door DRI uit te schakelen in je X configuratie.

Tracker index corruptie

In sommige gevallen kan het voorkomen dat de index van de "tracker" desktop-zoekmachine ongeldig wordt. Er zal een dialoogvenster verschijnen met het aanbod om alle inhoud opnieuw te indexeren. De knop op dat dialoogvenster werkt echter niet en de tracker service kan een grote hoeveelheid systeembronnen van de CPU en de harde schijf vragen. Als een workaround kunt u via Alt+F2 het commando tracker-processes -r uitvoeren. Dit probleem zal binnenkort via een update opgelost worden (zie bug 361205).

JauntyJackalope/ReleaseNotes/nl (last edited 2009-05-27 08:09:50 by cumulus-007)